<?php
defined('IN_FUSION') || exit;
// Licencja AGPL 3
/*
 * Licencja: AGPL 3
 * Autor: Zbigniew
 * Adres strony: https://nw.ct8.pl/artykul/67/wtyczka-weekly-panel-dla-cms-php-fusion
 * Jeśli ktoś chce udostępniać lub hostować wtyczkę, proszę podać adres strony autora.
 */
include INFUSIONS."weekly_panel/infusion_db.php";
// Informacje ogólne o wtyczce
$inf_title = "Weekly Panel";
$inf_description = "Wyświetla tygodniowe komunikaty w zależności od dnia tygodnia.";
$inf_version = "2.0";
$inf_developer = "Zbigniew";
$inf_email = "admin@nw.ct8.pl";
$inf_weburl = "https://nw.ct8.pl/artykul/67/wtyczka-weekly-panel-dla-cms-php-fusion";
$inf_folder = "weekly_panel";
$inf_image = "nw.png";
$inf_newtable[] = DB_WEEKLY_MESSAGES." (
    message_id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
    day_of_week TINYINT(1) UNSIGNED NOT NULL,
    message_content TEXT NOT NULL,
    PRIMARY KEY (message_id)
) ENGINE=MyISAM DEFAULT CHARSET=UTF8 COLLATE=utf8_unicode_ci";
// Wstawienie domyślnych komunikatów 
$inf_insertdbrow[] = DB_WEEKLY_MESSAGES."(day_of_week, message_content) VALUES 
    (1, 'Poniedziałek: Rozpocznij tydzień z energią!'),
    (2, 'Wtorek: Czas na nowe wyzwania!'),
    (3, 'Środa: Półmetek tygodnia!'),
    (4, 'Czwartek: Zbliżamy się do weekendu!'),
    (5, 'Piątek: Czas na relaks!'),
    (6, 'Sobota: Ciesz się wolnym czasem!'),
    (7, 'Niedziela: Przygotuj się na nowy tydzień!'),
    (8, 'zero.php'), 
    (9, 'Dla niezalogowanych: Witaj w naszym serwisie!'),
    (10, 'Dla zalogowanych: Cieszymy się, że jesteś z nami!'),
    (11, 'Edytuj godzinę 1'),
    (12, 'Edytuj godzinę 2'),
    (13, 'Edytuj godzinę 3'),
    (14, 'Edytuj godzinę 4'),
    (15, 'Edytuj godzinę 5'),
    (16, 'Edytuj godzinę 6'),
    (17, 'Edytuj godzinę 7'),
    (18, 'Edytuj godzinę 8'),
    (19, 'Edytuj godzinę 9'),
    (20, 'Edytuj godzinę 10'),
    (21, 'Edytuj godzinę 11'),
    (22, 'Edytuj godzinę 12'),
    (23, 'Edytuj godzinę 13'),
    (24, 'Edytuj godzinę 14'),
    (25, 'Edytuj godzinę 15'),
    (26, 'Edytuj godzinę 16'),
    (27, 'Edytuj godzinę 17'),
    (28, 'Edytuj godzinę 18'),
    (29, 'Edytuj godzinę 19'),
    (30, 'Edytuj godzinę 20'),
    (31, 'Edytuj godzinę 21'),
    (32, 'Edytuj godzinę 22'),
    (33, 'Edytuj godzinę 23'),
    (34, 'Edytuj godzinę 24')";

// Wstawienie informacji o panelu
$inf_insertdbrow[] = DB_PANELS."(panel_name, panel_filename, panel_content, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status, panel_url_list, panel_restriction, panel_languages) VALUES 
    ('Weekly Messages', 'weekly_panel.php', '', '2', '1', 'file', '0', '1', '1', '', '3', 'English')";

// Wstawienie informacji o panelu administracyjnym
$inf_adminpanel[] = [
    'rights'   => "WKM",
    'image'    => $inf_image,
    'title'    => "Weekly Messages",
    'panel'    => "admin/admin.php",
    'page'     => 5,
    'language' => LANGUAGE
];

$inf_sitelink[] = [
    "title" => "Ustawienia komunikatów tygodniowych",
    "url" => "infusions/weekly_panel/admin/admin.php",
    "visibility" => "-103"
];

// Deinstalacja
$inf_droptable[] = DB_WEEKLY_MESSAGES;
$inf_deldbrow[] = DB_ADMIN." WHERE admin_rights='WKM'";
$inf_deldbrow[] = DB_PANELS." WHERE panel_filename='weekly_panel.php'";
$inf_deldbrow[] = DB_SITE_LINKS." WHERE link_url='infusions/weekly_panel/admin/admin.php'";
?>