<?php
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
add_to_head('<script src="../../../includes/jscripts/tinymce5/tinymce.min.js"></script>');
add_to_head('<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">');
if (file_exists(INFUSIONS."weekly_panel/locale/".LANGUAGE.".php")) {
    include INFUSIONS."weekly_panel/locale/".LANGUAGE.".php";
} else {
    include INFUSIONS."weekly_panel/locale/English.php";
}
$aidlink = fusion_get_aidlink();
if (!checkrights("WKM") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { 
    redirect("../../../index.php");
} 
include INFUSIONS . "weekly_panel/infusion_db.php";
// Pobieranie treści wiadomości na poniedziałek (day_of_week = '1')
$result = dbquery("SELECT message_content FROM ".DB_WEEKLY_MESSAGES." WHERE day_of_week = '1'");
$data = dbarray($result);
$message_content = isset($data['message_content']) ? stripslashes($data['message_content']) : ''; // Upewnij się, że zmienna jest ustawiona
pageAccess('WKM'); // Sprawdzenie uprawnień administratora
// Ścieżka do pliku infusion_db.php
include INFUSIONS . "weekly_panel/infusion_db.php";
// Pobieranie treści wiadomości na poniedziałek (day_of_week = '1')
$result = dbquery("SELECT message_content FROM ".DB_WEEKLY_MESSAGES." WHERE day_of_week = '1'");
$data = dbarray($result);
$message_content = isset($data['message_content']) ? stripslashes($data['message_content']) : ''; // Upewnij się, że zmienna jest ustawiona
// Sprawdzenie, czy formularz został wysłany
if (isset($_POST['save'])) {
    if (isset($_POST['message_content']) && !empty($_POST['message_content'])) {
        $message_content = addslashes($_POST['message_content']);
        dbquery("UPDATE ".DB_WEEKLY_MESSAGES." SET message_content='$message_content' WHERE day_of_week='1'");
        addNotice('success', $locale['sawe_admin_success']);
        redirect(FUSION_SELF . fusion_get_aidlink());
    }
}
echo '<div class="clearfix m-b-10">';
echo "<div style='text-align:center'><h3><strong>".$locale['menu_title']."</strong></h3></div><br>\n";
echo "<div class='row'>\n";
echo "<div class='col-md-12'>\n";
echo "<div align='center'><ul class='list-inline'>\n";
echo "<li><a class='btn btn-primary btn-md' href='".INFUSIONS."weekly_panel/admin/admin.php".$aidlink."'><strong>".$locale['menu_admin']."</strong></a></li>\n";
echo "<li><a class='btn btn-primary btn-md' href='".INFUSIONS."weekly_panel/admin/poniedzialek.php".$aidlink."'><strong>".$locale['day_monday']."</strong></a></li>\n";
echo "<li><a class='btn btn-primary btn-md' href='".INFUSIONS."weekly_panel/admin/wtorek.php".$aidlink."'><strong>".$locale['day_tuesday']."</strong></a></li>\n";
echo "<li><a class='btn btn-primary btn-md' href='".INFUSIONS."weekly_panel/admin/sroda.php".$aidlink."'><strong>".$locale['day_wednesday']."</strong></a></li>\n";
echo "<li><a class='btn btn-primary btn-md' href='".INFUSIONS."weekly_panel/admin/czwartek.php".$aidlink."'><strong>".$locale['day_thursday']."</strong></a></li>\n";
echo "<li><a class='btn btn-primary btn-md' href='".INFUSIONS."weekly_panel/admin/piatek.php".$aidlink."'><strong>".$locale['day_friday']."</strong></a></li>\n";
echo "<li><a class='btn btn-primary btn-md' href='".INFUSIONS."weekly_panel/admin/sobota.php".$aidlink."'><strong>".$locale['day_saturday']."</strong></a></li>\n";
echo "<li><a class='btn btn-primary btn-md' href='".INFUSIONS."weekly_panel/admin/niedziela.php".$aidlink."'><strong>".$locale['day_sunday']."</strong></a></li>\n";
echo "<li><a class='btn btn-success btn-md' href='".INFUSIONS."weekly_panel/admin/niezalogowany.php".$aidlink."'><strong>".$locale['Log_nie']."</strong></a></li>\n";
echo "<li><a class='btn btn-success btn-md' href='".INFUSIONS."weekly_panel/admin/zalogowany.php".$aidlink."'><strong>".$locale['Log_tak']."</strong></a></li>\n"; 
echo "<li><a class='btn btn-success btn-md' href='".INFUSIONS."weekly_panel/admin/godziny.php".$aidlink."'><strong>".$locale['Log_hurs']."</strong></a></li>\n";
echo "</ul></div></div></div><br>\n";
echo "<div align='center'><h3><strong>".$locale['edit_monday']."</strong></h3></div>\n";
echo openform('weekly_settings', 'post', FUSION_REQUEST);
echo '<textarea name="message_content" class="tiny-editor">'.htmlspecialchars($message_content).'</textarea>'; 
echo "<div class='text-center'>
<button type='submit' name='save' class='btn btn-primary btn-md'>".$locale['sawe_admin']."</button>
</div>";
echo closeform();
echo '</div>';
add_to_footer("<script>    
    tinymce.init({
        selector: 'textarea.tiny-editor', 
        plugins: 'lists link image preview code', 
        toolbar: 'undo redo | styleselect | bold italic | alignleft aligncenter alignright | bullist numlist | link image | code', 
        height: 500, // Wysokość edytora
        valid_elements: '*[*]',
        content_css: 'https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic',

        // Ustawienia dotyczące linków
        relative_urls: false,
        remove_script_host: false,
        convert_urls: false,

        // Obsługa polskich znaków
        entity_encoding: 'raw'
    });
</script>");
require_once THEMES . 'templates/footer.php';
?>